
Ryzom - Bug # 1486

Status: Resolved Priority: High
Author: shackra Category: NeL: General
Created: 07/22/2012 Assignee: kaetemi
Updated: 07/29/2012 Due date:
Subject: clustered_sound.cpp 202 update : CClusteredSound::update : no scene specified !
Description

after login, I'm experienced a freeze state of ryzom_client. Checking with GDB I caught this:

(gdb) stepi
postlogInit () at /build/src/shackra-ryzom-3222b96eed75/code/ryzom/client/src/init.cpp:1208
1208    /build/src/shackra-ryzom-3222b96eed75/code/ryzom/client/src/init.cpp: No existe el fichero o el directorio.
(gdb) finish
Run till exit from #0  postlogInit () at /build/src/shackra-ryzom-3222b96eed75/code/ryzom/client/src/init.cpp:1208
[New Thread 0x7f3db6711700 (LWP 4251)]
[Thread 0x7f3db6711700 (LWP 4251) exited]
[New Thread 0x7f3db6711700 (LWP 4252)]
[New Thread 0x7f3db1f0f700 (LWP 4253)]
[New Thread 0x7f3db170e700 (LWP 4254)]

Nothing happens after that, killall ryzom_client is needed in order to close the game.
Checking the log.log file, the last line there is «clustered_sound.cpp 202 update : CClusteredSound::update : no scene specified !»
This issue was reported too by the user Thaodan at http://dev.ryzom.com/boards/18/topics/6197?r=6212#message-6212 I think he
used a different cmake options to build the game, however, here is the cmake options which I used to build and packaged the game 
https://projects.parabolagnulinux.org/abslibre.git/tree/pcr/ryzom-client/PKGBUILD?id=ffad4b6353348cf713d50662f7224ed916cadf44
n33

History
#1 - 07/28/2012 09:16 pm - shackra

if the problem is fixed http://dev.ryzom.com/boards/18/topics/6197?r=6236#message-6236 somebody should close this bug report :)

#2 - 07/28/2012 10:01 pm - kaetemi
- Category set to NeL: General
- Status changed from New to Resolved
- Assignee set to kaetemi

Issue fixed by making the game use more reliable timing functions.

#3 - 07/29/2012 09:04 am - kervala

Great job Kaetemi :)
#4 - 07/29/2012 09:04 am - kervala
- % Done changed from 0 to 100

Files
log.log 316.5 kB 07/22/2012 shackra
